* 
{
    margin: 0;
    box-sizing: border-box;
}

body
{
    background-color: rgb(238, 238, 238);

    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: normal;

    display: flex;
    flex-direction: column;
}

header
{
    width: 100%;
    height: 80px;

    background-color: rgb(103, 103, 204);

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

    padding-left: 10px;
    padding-right: 10px;
}

header h1
{
    color: whitesmoke
}

#account
{
    width: 300px;
    height: 50px;

    display: flex;
    flex-direction: row;
    justify-content: right;
    align-items: center;
    padding-right: 10px;

    gap: 10px;
}

#account button
{
    height: 70%;
    width: auto;
    aspect-ratio: 4 / 1;
}

#account p
{
    display: block;
    color: whitesmoke;
    font-size: 13px;
    text-align: center;
}

button
{
    background-color: rgb(235, 235, 235);

    border: solid rgb(73, 73, 73) 2px;
    border-radius: 5px;

    font-size: 100%;
}

button:hover
{
    transform: translate(0px, -2px);
    box-shadow: 0px 2px 2px rgb(87, 87, 87);
    
    background-color: rgb(163, 216, 236);
}

button:active
{
    transform: translate(0px, 2px);
    box-shadow: 0px 0px 0px rgb(87, 87, 87);
    
    background-color: rgb(110, 110, 110);
}

nav 
{
    width: 100%;
    height: 30px;

    background-color: rgb(65, 65, 167);
    border-bottom: solid rgb(45, 45, 94) 5px;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

nav ul
{
    width: 40%;

    display: flex;
    flex-direction: row;

    align-items: center;
    justify-content: space-between;

    list-style: none;
}

nav ul li a
{
    color: white;
    text-decoration: none;
}

nav ul li a:hover
{
    color: rgb(163, 216, 236);
}

#managementNav
{
    display: none;
}

#loginRegister
{
    position: fixed;
    
    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    background-color: rgba(0, 0, 0, 0.6);

    z-index: 10;

    display: none;
}

#loginPage
{
    display: none;
}

#registerPage
{
    display: none;
}

#loadPage
{
    height: 200px;
    top: calc(50% - 100px);

    display: none;
}

#errorPage
{
    height: 200px;
    top: calc(50% - 100px);

    display: none;
}

.loginRegisterPage
{
    position: absolute;

    height: 600px;
    width: 500px;

    top: calc(50% - 300px);
    left: calc(50% - 250px);

    background-color: rgb(228, 228, 228);
    border: solid rgb(45, 45, 94) 10px;
    border-radius: 20px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    text-align: center;
}

.loginRegisterPage input
{
    width: 350px;
    height: 35px;

    border: solid rgb(87, 87, 87) 3px;
    border-radius: 10px;
    padding: 5px;
    padding-left: 10px;
}

.loginRegisterPage p a
{
    text-decoration: underline;
}

.loginRegisterPage p a:hover
{
    color: rgb(163, 216, 236);
    cursor: pointer;
}

#banner
{
    position: relative;

    width: 100%;
    height: 600px;

    background-color: black;

    overflow: hidden;
}

#banner img
{
    position: relative;

    opacity: 0.4;

    top: -300px;
}

#banner article
{
    position: absolute;

    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    gap: 20px;
}

#banner article h1
{
    font-size: 100px;
    color: white;
}

#banner article h2
{
    font-size: 70px;
    font-weight: 400;
    color: white;
}

#banner article h3
{
    font-size: 30px;
    font-weight: 400;
    color: white;
}

.sectionHeader
{
    text-align: center;

    font-size: 40px;

    margin: 30px;
}

#categorySelect
{
    border-top: dashed black 2px;

    margin-left: 50px;
    margin-right: 50px;

    padding: 20px;

    height: 200px;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

    gap: 100px;

    list-style: none;
}

#categorySelect a
{
    background-color: rgb(103, 103, 204);
    border: solid rgb(87, 87, 87) 5px;
    border-radius: 10px;

    width: 300px;
    height: 100px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    text-decoration: none;
    text-align: center;
    color: white;
    font-size: 25px;

    padding: 5px;
}

#categorySelect a p
{
    margin-top: 5px;
    font-size: 15px;
}

#categorySelect a:hover
{
    transform: translate(0px, -2px);
    box-shadow: 0px 2px 2px rgb(87, 87, 87);
    
    background-color: rgb(163, 216, 236);
}

#categorySelect a:active
{
    transform: translate(0px, 2px);
    box-shadow: 0px 0px 0px rgb(87, 87, 87);
    
    background-color: rgb(110, 110, 110);
}

#itemHolder
{
    min-height: 500px;

    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;

    gap: 50px;
}

.item
{
    background-color: rgb(182, 182, 182);
    border: solid rgb(87, 87, 87) 5px;
    border-radius: 10px;
    width: 350px;
    min-height: 400px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;

    gap: 5px;

    padding: 20px;
}

#activeOrders
{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;

    border-top: dashed black 2px;

    margin: 50px;
    padding-left: 0;
}

.order
{
    border-bottom: dashed rgb(87, 87, 87) 2px;
    height: 70px;
    width: 100%;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;

    gap: 20px;

    padding: 10px; 

    font-size: 17px;
}

.resolveOrder
{
    height: 30px;
    width: 100px;

    font-size: 22px;

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    cursor: pointer;

    margin-left: 20px;
}

#basketItems
{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;

    border-top: dashed black 2px;

    margin: 50px;
    padding-left: 0;
}

.basketItem
{
    border-bottom: dashed rgb(87, 87, 87) 2px;
    height: 120px;
    width: 100%;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;

    gap: 20px;

    padding: 10px;
}

.removeItem
{
    height: 30px;
    width: 30px;

    font-size: 30px;

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    cursor: pointer;

    margin-left: 20px;
}

.rightHolder
{
    margin-left: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.itemAmount
{
    height: 30px;
    width: 80px;

    font-size: 15px;

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.itemAmountLabel
{
    height: 30px;
    width: 80px;

    font-size: 18px;

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.checkoutSection 
{
    height: 120px;
    width: 100%;

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;

    gap: 20px;

    padding: 10px;
}

.item img, .basketItem img
{
    border-radius: 10%;
}

.item p, .basketItem p
{
    font-size: 15px;
    text-align: center;
}

footer
{
    width: 100%;
    height: 100px;

    background-color: rgb(65, 65, 167);
    border-top: solid rgb(45, 45, 94) 5px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;

    margin-top: 50px;
}

footer a
{
    color: white;
}

/* Mobile Viewport */
@media screen and (max-width: 639px)
{

}

/* Tablet Viewport */
@media screen and (min-width: 640px)
{

}

/* Desktop Viewport */
@media screen and (min-width: 960px)
{

}